ubuntu-location-service: com::ubuntu::location::wgs84::Coordinate< Tag, UnitType > Class Template Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::wgs84::Coordinate< Tag, UnitType > Class Template Reference

`#include <coordinate.h>`

Collaboration diagram for com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >:

## Public Types
typedef UnitType | Unit
typedef units::Quantity< Unit > | Quantity

## Public Member Functions
| Coordinate (const Quantity &value=Quantity())
bool | operator== (const Coordinate< Tag, UnitType > &rhs) const
bool | operator!= (const Coordinate< Tag, UnitType > &rhs) const

## Public Attributes
Quantity | value

## Detailed Description

### template<typename Tag, typename UnitType>
class com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >

Definition at line 42 of file coordinate.h.

## Member Typedef Documentation

## ◆ Quantity

template<typename Tag , typename UnitType >

typedef units::Quantity<Unit> com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::Quantity

Definition at line 46 of file coordinate.h.

## ◆ Unit

template<typename Tag , typename UnitType >

typedef UnitType com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::Unit

Definition at line 45 of file coordinate.h.

## Constructor & Destructor Documentation

## ◆ Coordinate()

template<typename Tag , typename UnitType >

com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::Coordinate | ( | const Quantity & | value = `Quantity()` | ) |
| inlineexplicit

Definition at line 48 of file coordinate.h.

References com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::value.

## Member Function Documentation

## ◆ operator!=()

template<typename Tag , typename UnitType >

bool com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::operator!= | ( | const Coordinate< Tag, UnitType > & | rhs | ) | const
| inline

Definition at line 59 of file coordinate.h.

References com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::value.

## ◆ operator==()

template<typename Tag , typename UnitType >

bool com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::operator== | ( | const Coordinate< Tag, UnitType > & | rhs | ) | const
| inline

Definition at line 54 of file coordinate.h.

References com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::value.

## Member Data Documentation

## ◆ value

template<typename Tag , typename UnitType >

Quantity com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::value

Definition at line 64 of file coordinate.h.

Referenced by com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::Coordinate(), core::dbus::Codec< com::ubuntu::location::wgs84::Coordinate< T, U > >::decode_argument(), core::dbus::Codec< com::ubuntu::location::wgs84::Coordinate< T, U > >::encode_argument(), com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::operator!=(), com::ubuntu::location::wgs84::operator-(), com::ubuntu::location::wgs84::operator<<(), and com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::operator==().

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/wgs84/coordinate.h